package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type ContractAgentQueryRequest struct {
	User *common.UserInfoRequest `json:"user"`
	// <ext>core:true</ext> 【授权状态】授权状态 【作用】 查询用户代理签批授权记录的状态 【传参】 取值范围：WAITING（等待中），ACTIVE（生效中），EXPIRED（已过期），CANCELED（已取消）；不传值默认为：返回所有状态的授权记录。
	Status string `json:"status,omitempty"`
}

func (obj ContractAgentQueryRequest) GetUrl() string {
	return "/contract/agent/query"
}

func (obj ContractAgentQueryRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
